
using System.Collections.Generic;
using System.Threading.Tasks;
using UserManagement.Common.GenericRespository;
using UserManagement.Data;
using UserManagement.Data.Resources;
using UserManagement.Helper;

namespace UserManagement.Repository
{
    public interface IReminderSchedulerRepository : IGenericRepository<ReminderScheduler>
    {
        Task<bool> AddMultiReminder(List<Reminder> reminders);
        Task<PagedList<ReminderScheduler>> GetReminders(ReminderResource reminderResource);
        Task<bool> MarkAsRead();
    }
}
